#ifndef __GLOBAL_H__
#define __GLOBAL_H__


/*---------------------------------------------------------------------*/
#if defined(_M_X64) || defined(__amd64__)
  #define  LIB_EMUI  "lib_emui_64.dll"
#else
  #define  LIB_EMUI  "lib_emui_32.dll"
#endif

#define  BYTE_CHAR_NUM  2
#define  MAX_CMD_NUM    3
#define  MGR_FUNC_NUM   16
#define  CMD_BUF_NUM    256

#define  ASCII_0        48
#define  ASCII_9        57
#define  ASCII_A        65
#define  ASCII_F        70

#define  prompt_s       "EMUI_S >"
#define  prompt_r       "EMUI_R >"
#define  prompt_m       "EMUI_M >"
#define  prompt_a       "------->"


/*---------------------------------------------------------------------*/
typedef struct 
{
  int (*cmd_call) (char *argv[]);
  char *cmd_name;

} CMD_INFO;


/*---------------------------------------------------------------------*/
/* Defined in global.c */
extern int used_com;
extern int is_monitor;
extern const char *dio_port_str[4];
extern const char *in_out_str[2];

/*---------------------------------------------------------------------*/
#if defined(_WIN32)
int load_emui_dll(void);
#endif
void print_menu(CMD_INFO cmd_info[], int used_com);
unsigned char arr_2_byte(char arr[]);

#endif